Delete service backup bucket
This endpoint is in beta. API contract is stable, and no breaking changes are expected in the future.
Delete service backup bucket. Requires ADMIN auth key role.
DELETE
/
v1
/
organizations
/
{organizationId}
/
services
/
{serviceId}
/
backupBucket
Delete service backup bucket
curl --request DELETE \
--url https://api.clickhouse.cloud/v1/organizations/{organizationId}/services/{serviceId}/backupBucket \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.clickhouse.cloud/v1/organizations/{organizationId}/services/{serviceId}/backupBucket"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.clickhouse.cloud/v1/organizations/{organizationId}/services/{serviceId}/backupBucket', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": 200,
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"status": 400,
"error": "<string>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"status": 500,
"error": "<string>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}Beta
This endpoint is in beta. API contract is stable, and no breaking changes are expected in the future.
Delete service backup bucket. Requires ADMIN auth key role.
Delete service backup bucket. Requires ADMIN auth key role.
Authorizations
Use key ID and key secret obtained in ClickHouse Cloud console: https://clickhouse.com/docs/cloud/manage/openapi
Path Parameters
ID of the requested organization.
ID of the requested service.
Last modified on July 9, 2026
Was this page helpful?
⌘I
Delete service backup bucket
